# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=protonup-qt
pkgver=2.8.0
pkgrel=0
pkgdesc="Install and manage Proton-GE for Steam and Wine-GE for Lutris with this graphical user interface."
arch=('amd64')
url="https://davidotek.github.io/protonup-qt"
license=('GPL3')
options=(!strip)
source=(
  "$pkgname-$pkgver.AppImage::https://github.com/DavidoTek/ProtonUp-Qt/releases/download/v$pkgver/ProtonUp-Qt-$pkgver-x86_64.AppImage"
  "protonup-qt.desktop"
  "protonup-qt"
)
sha256sums=('a374ecaddae3e6a0dc4ea85d81d7f82dca69f737c1418fbf9773a19b503fa66e' '3d2e9dbb6eb0fa034db3c1b2384fd23a8b004c90a8f72afbe86baff714433da1' '1baaba24e3fae798cde2f1801b9a0c5f92df5c61b0d8ba81c43731abcce44bc2')

prepare() {
  # Exctract icons from AppImage
  echo "Extracting icons from AppImage..."
  chmod 755 "$pkgname-$pkgver.AppImage"
  ./"$pkgname-$pkgver.AppImage" --appimage-extract > /dev/null
}

package() {
  cd "$srcdir"

  # Install binary and launch script
  install -Dm755 "$pkgname-$pkgver.AppImage" "$pkgdir/opt/protonup-qt/protonup-qt.AppImage"
  install -Dm755 -t "$pkgdir/usr/bin" "protonup-qt"

  # Install icons and desktop file
  cd "squashfs-root/usr/share/icons"
  find "." -type f -exec install -Dm644 "{}" "$pkgdir/usr/share/icons/{}" \;
  cd "$srcdir"

  install -Dm644 -t "$pkgdir/usr/share/applications" "protonup-qt.desktop"
}
